Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163686 - Wrong symlink to jni.h in java gcj compat package
Summary: Wrong symlink to jni.h in java gcj compat package
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: java-1.4.2-gcj-compat
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-20 11:07 UTC by Jos Vos
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-09 22:17:42 UTC


Attachments (Terms of Use)

Description Jos Vos 2005-07-20 11:07:53 UTC
Description of problem:

The symlink /usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/include/jni.h is a dangling
symlink and there are two problems with it:

(1) The path contains "gcc-lib", while this should be "gcc" (pathnames with
gcc-lib are only found in compat-gcc packages).  This is the easy one...

(2) The pathname contains a hardcoded "i386-redhat-linux", so it won't work on
non-i386 systems, like x86_64. This is more difficult to solve, as the package
is a noarch package, so maybe a %post script should fix this by doing a "ln -snf
/usr/lib/gcc/*-redhat-linux/%{gccver}/include/jni.h
%{_jvmdir}/%{sdkdir}/include/".  I hope there is a more elegant method...

On the original -26jpp package there was even another problem as the noarch
package seemed to be built on x86_64, so there was /usr/lib64 in the symlink.

Version-Release number of selected component (if applicable):
1.4.2.0-27jpp

Comment 1 Rex Dieter 2006-06-06 17:24:39 UTC
Ouch, almost 1 year old... 

Furthermore,
$rpm -q -f /usr/lib/gcc/i386-redhat-linux/3.4.3/include/jni.h
libgcj-devel-3.4.5-2
So java-1.4.2-gcj-compat-devel should
Requires: libgcj-devel

Comment 2 RHEL Product and Program Management 2006-10-09 22:09:08 UTC
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.

Comment 3 RHEL Product and Program Management 2006-10-09 22:17:42 UTC
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.